%global python3_pkgversion 3.11

Name:           python%{python3_pkgversion}-gpg-epel
Version:        1.13.1
Release:        1%{?dist}
Summary:        Python bindings for gpgme

# /usr/bin/gpgme-tool is licensed under GPLv3+
# the rest is licensed under LGPLv2+
# Note: /usr/bin/gpgme-json contains bits of MIT licensed code, but its
# effective license remains LGPLv2+
# (see https://fedoraproject.org/wiki/Licensing:FAQ)
License:        LGPLv2+ and GPLv3+
URL:            https://gnupg.org/related_software/gpgme/
Source0:        https://git.centos.org/sources/gpgme/c8s/a33a6121d761d499716eec342fc99bcc57f6a693#/gpgme-%{version}.licenses.tar.bz2


BuildRequires:  %{py3_dist setuptools}
BuildRequires:  gpgme-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libassuan-devel >= 2.4.2
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  swig


%description
%{summary}.


%package -n python%{python3_pkgversion}-gpg
Summary:        %{summary}


%description -n python%{python3_pkgversion}-gpg
%{summary}.


%prep
%autosetup -p1 -n gpgme-%{version}

# The build machinery does not support Python 3.9+ yet
# https://github.com/gpg/gpgme/pull/4
sed -i 's/3.8/%{python3_version}/g' configure


%build
export PYTHON=%{python3}
%configure
cd lang/python
if [ -f "%{_includedir}/gpgme-%{__isa_bits}.h" ]; then
    ln -s "%{_includedir}/gpgme-%{__isa_bits}.h" gpgme.h
fi
mv src gpg
%py3_build


%install
cd lang/python
%py3_install


%files -n python%{python3_pkgversion}-gpg
%license COPYING* LICENSES
%doc lang/python/README lang/python/doc lang/python/examples
%{python3_sitearch}/gpg/
%{python3_sitearch}/gpg-%{version}-py%{python3_pkgversion}.egg-info/


%changelog
* Tue May 16 2023 Maxwell G <maxwell@gtmx.me> - 1.13.1-1
- Initial package
